tigase.server.websocket

## Enum WebSocketXMPPIOService.State

- java.lang.Object
- - java.lang.Enum<WebSocketXMPPIOService.State>
  - - tigase.server.websocket.WebSocketXMPPIOService.State

- All Implemented Interfaces:
    Serializable, Comparable<WebSocketXMPPIOService.State>
  Enclosing class:
    WebSocketXMPPIOService<RefObject>

      public static enum WebSocketXMPPIOService.State
      extends Enum<WebSocketXMPPIOService.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `closed`
    `closing`
    `handshaked`
    `handshaking`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebSocketXMPPIOService.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebSocketXMPPIOService.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### handshaking

          public static final WebSocketXMPPIOService.State handshaking

    - #### handshaked

          public static final WebSocketXMPPIOService.State handshaked

    - #### closing

          public static final WebSocketXMPPIOService.State closing

    - #### closed

          public static final WebSocketXMPPIOService.State closed

  - ### Method Detail

    - #### values

          public static WebSocketXMPPIOService.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketXMPPIOService.State c : WebSocketXMPPIOService.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketXMPPIOService.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.